Withdrawals
Manage TBOT reward withdrawals.
Endpoints
Section titled “Endpoints”| Method | Path | Description |
|---|---|---|
| GET | /v1/withdrawals | List withdrawals |
| GET | /v1/withdrawals/:id | Get withdrawal |
| POST | /v1/withdrawals | Create withdrawal |
| POST | /v1/withdrawals/:id/cancel | Cancel withdrawal |
List Withdrawals
Section titled “List Withdrawals”GET /v1/withdrawalscurl https://api.tokenbot.com/v1/withdrawals \ -H "X-API-Key: tb_live_your_key"Get Withdrawal
Section titled “Get Withdrawal”GET /v1/withdrawals/:idCreate Withdrawal
Section titled “Create Withdrawal”POST /v1/withdrawalsRequest Body:
{ "amount": 100.0, "wallet_address": "0x..."}Cancel Withdrawal
Section titled “Cancel Withdrawal”POST /v1/withdrawals/:id/cancel
